/*+*****************************************************************************
*                                                                              *
* File: mc.h                                                                   *
*                                                                              *
**-****************************************************************************/

/*
 * @(#)mc.h	1.3	01/05/98	Written by Lionel Cons
 */

#ifndef _mc_h_
#define _mc_h_

/******* Include Files ********************************************************/

/******* Constants ************************************************************/

/******* Macros ***************************************************************/

/******* Types ****************************************************************/

/*
 * memory chunk
 */
typedef struct MC_ {
  char *base;			/* start of data in chunk */
  int len;			/* size of data in chunk */
  struct MC_ *next;		/* next linked chunk if any */
} MC;

/******* Variables ************************************************************/

/******* Functions ************************************************************/

MC  *mc_new(int);
void mc_old(MC *);

#endif /* _mc_h_ */
/* DON'T ADD ANYTHING AFTER THIS LINE */
